## ev-document-find

ev-document-find —

## Synopsis

    #define     EV_DOCUMENT_FIND_IFACE          (k)
    #define     EV_IS_DOCUMENT_FIND_IFACE       (k)
                EvDocumentFind;
                EvDocumentFindIface;
    void        ev_document_find_begin          (EvDocumentFind *document_find,
                                                 int page,
                                                 const char *search_string,
                                                 gboolean case_sensitive);
    void        ev_document_find_cancel         (EvDocumentFind *document_find);
    int         ev_document_find_page_has_results
                                                (EvDocumentFind *document_find,
                                                 int page);
    int         ev_document_find_get_n_results  (EvDocumentFind *document_find,
                                                 int page);
    gboolean    ev_document_find_get_result     (EvDocumentFind *document_find,
                                                 int page,
                                                 int n_result,
                                                 EvRectangle *rectangle);
    double      ev_document_find_get_progress   (EvDocumentFind *document_find);
    void        ev_document_find_changed        (EvDocumentFind *document_find,
                                                 int page);

## Object Hierarchy

      GInterface
       +----EvDocumentFind

## Description

## Details

### EV_DOCUMENT_FIND_IFACE()

    #define EV_DOCUMENT_FIND_IFACE(k)	    (G_TYPE_CHECK_CLASS_CAST((k), EV_TYPE_DOCUMENT_FIND, EvDocumentFindIface))

`k` : |

### EV_IS_DOCUMENT_FIND_IFACE()

    #define EV_IS_DOCUMENT_FIND_IFACE(k)	    (G_TYPE_CHECK_CLASS_TYPE ((k), EV_TYPE_DOCUMENT_FIND))

`k` : |

### EvDocumentFind

    typedef struct _EvDocumentFind EvDocumentFind;

### EvDocumentFindIface

    typedef struct {
    	GTypeInterface base_iface;

            /* Methods */

            void     (* begin)	      (EvDocumentFind *document_find,
    				       int             page,
                                           const char     *search_string,
                                           gboolean        case_sensitive);
            void     (* cancel)	      (EvDocumentFind *document_find);
    	int      (* page_has_results) (EvDocumentFind *document_find,
    				       int             page);
    	int      (* get_n_results)    (EvDocumentFind *document_find,
    				       int             page);
    	gboolean (* get_result)	      (EvDocumentFind *document_find,
    				       int             page,
    				       int             n_result,
    				       EvRectangle    *rectangle);
    	double	 (* get_progress)     (EvDocumentFind *document_find);

            /* Signals */

            void     (* find_changed)     (EvDocumentFind *document_find,
    				       int             page);
    } EvDocumentFindIface;

### ev_document_find_begin ()

    void        ev_document_find_begin          (EvDocumentFind *document_find,
                                                 int page,
                                                 const char *search_string,
                                                 gboolean case_sensitive);

`document_find` : |
`page` : |
`search_string` : |
`case_sensitive` : |

### ev_document_find_cancel ()

    void        ev_document_find_cancel         (EvDocumentFind *document_find);

`document_find` : |

### ev_document_find_page_has_results ()

    int         ev_document_find_page_has_results
                                                (EvDocumentFind *document_find,
                                                 int page);

`document_find` : |
`page` : |
Returns : |

### ev_document_find_get_n_results ()

    int         ev_document_find_get_n_results  (EvDocumentFind *document_find,
                                                 int page);

`document_find` : |
`page` : |
Returns : |

### ev_document_find_get_result ()

    gboolean    ev_document_find_get_result     (EvDocumentFind *document_find,
                                                 int page,
                                                 int n_result,
                                                 EvRectangle *rectangle);

`document_find` : |
`page` : |
`n_result` : |
`rectangle` : |
Returns : |

### ev_document_find_get_progress ()

    double      ev_document_find_get_progress   (EvDocumentFind *document_find);

`document_find` : |
Returns : |

### ev_document_find_changed ()

    void        ev_document_find_changed        (EvDocumentFind *document_find,
                                                 int page);

`document_find` : |
`page` : |